{{ define "head" }}
{{ partial "scss" (dict "context" . "name" "home.scss") }}
{{ end }}

{{ define "main" }}
<section id="splash" class="fullwidth">
    <div class="wrapper">
        <div class="content">
            <h1>Give to Wildwood<br>Health Institute</h1>
            <p>Thank you for your interest in supporting the Wildwood Health Institute. Your support will provide us
                with the resources needed to develop, progress and continue to supply natural healthcare to our world
                community, now and in the future.</p>
        </div>
    </div>
    <div class="siema">
        {{ range .Params.slides }}
        {{ $image := resources.Get (printf "img/%s" .src ) }}
        {{ $image := $image.Fill "1920x700 q70 Gaussian" }}
        <img src="{{ $image.Permalink }}" alt="{{ .alt }}">
        {{ end }}
    </div>
</section>

<section id="projects" class="fullwidth">
    <div class="greatest-need">
        <h2>Projects</h2>
        <p>Give to one the projects below or donate towards our greatest need.</p>
        <a href="https://secure.givelively.org/donate/wildwood-sanitarium-incorporated/greatest-need" target="_blank"
            title="Give to our greatest need" class="button">Give to our greatest need</a>
    </div>
    <div class="wrapper">
        <div id="filter">
            <label>Filter Projects
                {{ $scratch := newScratch }}
                {{ range .Site.Data.projects }}
                {{ if .category }}
                {{ $scratch.Add "categories" (slice .category)}}
                {{ end }}
                {{ end }}
                <select>
                    <option value="all">Show all projects</option>
                    {{ range sort (uniq ($scratch.Get "categories")) }}
                    <option value="{{ urlize . }}">{{ . }}</option>
                    {{ end }}
                </select>
            </label>
        </div>
        <div class="masonry">
            {{ range .Site.Data.projects }}
            {{ partial "project" . }}
            {{ end }}
        </div>
</section>

{{ end }}